ASINH(3)

NAME
asinh, asinhf, asinhl - inverse hyperbolic sine function

SYNOPSIS
#include <math.h>

double asinh(double x);
float asinhf(float x);
long double asinhl(long double x);

Link with -lm.

DESCRIPTION
The asinh() function calculates the inverse hyperbolic sine of x; that is the value whose hyperbolic sine is x.

CONFORMING TO
SVID 3, POSIX, BSD 4.3, ISO 9899. The float and long double variants are C99 requirements.

SEE ALSO
acosh(3), atanh(3), casinh(3), cosh(3), sinh(3), tanh(3)